/*
**  Copyright (C) 1993-1996, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/

/*
 * 
 * Author: Jens Burkert	/ Andrew Hewett		Created: 11-08-93 
 * 	   Oldenburg University
 *	   Germany
 *
 * Module: disppriv
 * 
 * Purpose:
 * The definitions are for private transfer use via snq use to 
 * ctndisp from dispuser only. 
 *
 */
 
#ifndef DISPPRIVAT_H
#define DISPPRIVAT_H

#define     CTNUser    	      1	/* the user is the Central Test Node */
#define     TIUser	      2	/* the user is the Telnet Initiator */

#define     Requestor	      3	/* an active requested association */
#define     Acceptor	      4	/* a passive accepted association */

#define     MainAssociation   5	/* normal main association */
#define     SubAssociation    6	/* sub-association (for MOVE) */

#define     StoreOperation    7	/* indicates  DSU_operationState procedure */
#define     FindOperation     8
#define     MoveOperation     9
#define     PrintOperation   10

#define     ImageOperation   11	/* indicates  DSU_displayImage procedure */

#define     InitOperation    12	/* indicates  DSU_initDisplay procedure */

#define     StartOperation   13	/* indicates  DSU_operationState procedure */
#define     RunningOperation 14	/* an operation is running */
#define     StopOperation    15 /* an operation has stopped */

#define     Incoming	     16	/* image receive */
#define     Outgoing	     17	/* image send */
#define     NoAssociation    18	/* only for sending a Image without Association */
#define	    KillOperation    19 /* kill a association */
#define     GetOperation     20 /* C-GET */
#endif
